Package com.mockobjects.dynamic

# Class AnyConstraintMatcher

java.lang.Object
com.mockobjects.dynamic.AnyConstraintMatcher

All Implemented Interfaces:
  `ConstraintMatcher`

public class AnyConstraintMatcher extends Object implements ConstraintMatcher

## Constructor Summary

Constructors
Constructor
Description
`AnyConstraintMatcher()`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getConstraints()`
`boolean`
`matches(Object[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnyConstraintMatcher

public AnyConstraintMatcher()

## Method Details

### matches

public boolean matches(Object[] args)

Specified by:
  `matches` in interface `ConstraintMatcher`

### getConstraints

public Object[] getConstraints()

Specified by:
  `getConstraints` in interface `ConstraintMatcher`